Subject: Re: bug#33896: libblockdev inputs are not used correctly

From: Efraim Flashner <[email-masked]>
Date: Sat, 29 Dec 2018 20:50:36 +0200

On Fri, Dec 28, 2018 at 02:32:55PM +0100, Danny Milosavljevic wrote:
> Currently, libblockdev has inputs which aren't used.
> 
> These SHOULD be used, but the source files are not patched
> so the executables in the inputs are not found or used.
> 
> Example:
> 
> * libblockdev depends on dosfstools because src/plugins/fs/vfat.c would use
> "mkfs.vfat" etc, but src/plugins/fs/vfat.c is not patched to actually refer
> to the inputs.
> 
> This problem is valid for everything in src/plugins/fs .
> 
> Do we proceed to patch it to use the inputs or do we move dosfstools etc
> to propagated-inputs ?
> 
> I'd suggest the former.

Similar to the enlightenment package getting more 'substitute*'s to
improve functionality, I agree that patching libblockdev to actually
find all the inputs/executables is preferable.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted